Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

Zoom Phone - February 28, 2022

API releaseBug fix

Summary:On February 28, Zoom added new phone APIs for real time device tracking, call recordings, call logs, and voicemails. They also added new fields for user profiles, call handling settings, blocked lists, and common area phones. Bug fixes addressed invalid next page token errors in call logs APIs.

On February 28, we added new phone API endpoints and updated existing ones. Note the new location of Zoom Phone API and Zoom Phone master account API.

New

Real time device location tracking

  • GET /v2/phone/metrics/location_tracking

Call recording

  • DELETE /v2/phone/recording/{recordingId}

Sync API

  • Call logs

GET /v2/phone/users/{userId}/call_logs/sync

  • Voicemails

    GET /v2/phone/users/{userId}/voice_mails/sync

Enhancements

  • Added new request field (template_id) and object (voicemail_access_members) in the Update user's profile API

    • PATCH /v2/phone/users/{userId}
  • Added a new response object (voicemail_access_members) in the Get user's profile API

    • GET /v2/phone/users/{userId}
  • GET /phone/users/{userId}/settings

    • New response fields (music_on_hold_id, audio_prompt_language and status)
    • New response fields (devices, enable_phone_lock and pin_code) in the desk_phone object
  • Added new request fields (music_on_hold_id, audio_prompt_language) in the Update user profile settings API

    • PATCH /phone/users/{userId}/settings
  • Added a new request (PATCH) or response (GET) field (allow_callers_check_voicemail) in the call handling settings API

    • GET /v2/phone/extension/{extensionId}/call_handling/settings
    • PATCH /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}
  • Added a new request field (country) in blocked list API

    • POST /v2/phone/blocked_list
    • PATCH /v2/phone/blocked_list/{accountBlockedId}
  • Added a new error message (Common area optimization option is enabled) in the common area phones API

    • POST /v2/phone/common_area_phones
    • GET /v2/phone/common_area_phones
    • GET /v2/phone/common_area_phones/{commonAreaPhoneId}
    • PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}
    • DELETE /v2/phone/common_area_phones/{commonAreaPhoneId}
    • PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}/calling_plans
    • DELETE /v2/phone/common_area_phones/{commonAreaId}/calling_plans/{type}
    • PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}/phone_numbers
    • DELETE /v2/phone/common_area_phones/{commonAreaId}/phone_numbers/{phoneNumberId}

Bug Fixes

  • Fixed so the invalid next page token error is returned when querying with the to field that exceeds the current date in call logs API

    • GET /v2/phone/users/{userId}/call_logs
    • GET /v2/phone/call_logs